Skip to content
CatalogSize Guides

Update size guide

Updates a size guide. The change applies to every product it is assigned to.

Path Parameters

sizeGuideId*string

Identifier of the size guide.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://api.ecomiq.pe/api/v1/catalog/size-guides/7204558912004323019" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Polos",    "slug": "polo-de-algodon",    "description": "Polo de algodón pima para uso diario.",    "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",    "gender": "unisex",    "measurementType": "body",    "unit": "cm",    "status": "draft"  }'
Empty